import { ChainGunSear, GunProcessQueue } from "@notabug/chaingun-sear";
import SocketClusterGraphConnector from "@notabug/chaingun-socket-cluster-connector";
import LmdbGraphConnector from "@notabug/chaingun-lmdb";
interface Opts {
    socketCluster: any;
    lmdb?: any;
}
export declare class NabTabulator extends ChainGunSear {
    socket: SocketClusterGraphConnector;
    lmdb: LmdbGraphConnector;
    tabulatorQueue: GunProcessQueue;
    gun: ChainGunSear;
    constructor(options?: Opts);
    newScope(): any;
    directRead(soul: string): Promise<unknown>;
    didReceiveDiff(msg: any): void;
    authenticateAndListen(): void;
}
export {};
